﻿namespace PaintShopSchedulingCarrierChangeOptimizer
{
    /// <summary>
    /// DTO class to store the number of carrier changes between two rounds.
    /// </summary>
    public interface INumberOfCarrierChanges
    {
        /// <summary>
        /// Number of required carrier removals in current round
        /// </summary>
        int NumberOfCarrierRemovalsOfCurrentRound { get; }
        /// <summary>
        /// Number of required carrier removals in next round
        /// </summary>
        int NumberOfCarrierInsertionsOfNextRound { get; }
    }
}