﻿namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Simple representation of Demands.
    /// </summary>
    public class SimpleDemand
    {
        public readonly int Id;
        public readonly int NumberOfPieces;
        public readonly SimpleMaterial Material;
        public readonly int DueRound;
        public readonly SimpleColor Color;

        public SimpleDemand(int id, int numberOfPieces, SimpleMaterial material, int dueRound, SimpleColor color)
        {
            Id = id;
            NumberOfPieces = numberOfPieces;
            Material = material;
            DueRound = dueRound;
            Color = color;
        }
    }
}
