﻿namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Describes how much of a specific Material can be carried.
    /// </summary>
    public class SimpleMaterialCapacity
    {
        public readonly SimpleMaterial Material;
        public readonly int Capacity;

        public SimpleMaterialCapacity(SimpleMaterial material, int capacity)
        {
            Material = material;
            Capacity = capacity;
        }
    }
}
