﻿using System.Collections.Generic;
using PaintShopSchedulingCarrierChangeOptimizer;

namespace PaintShopSchedulingSimpleTypes
{
    public class SimpleRoundInformation : IRoundInformation
    {
        public SimpleRoundInformation(IList<int> carrierTypeIdsInRound)
        {
            CarrierInsertionRemovalFlags = new List<ICarrierInsertionRemovalFlagInformation>(carrierTypeIdsInRound.Count);

            foreach (int carrierTypeId in carrierTypeIdsInRound) {
                CarrierInsertionRemovalFlags.Add(new SimpleCarrierInsertionRemovalFlagInformation(carrierTypeId));
            }
        }

        public IList<ICarrierInsertionRemovalFlagInformation> CarrierInsertionRemovalFlags { get; }
    }
}
