﻿namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Describes the cost for switching from one specific Color to another.
    /// </summary>
    public class SimpleColorTransitionCost
    {
        public readonly SimpleColor FromColor;
        public readonly SimpleColor ToColor;
        public readonly int Cost;

        public SimpleColorTransitionCost(SimpleColor fromColor, SimpleColor toColor, int cost)
        {
            FromColor = fromColor;
            ToColor = toColor;
            Cost = cost;
        }
    }
}
