﻿
namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Describes that a direct transition from one carriertype to another is prohibited.
    /// </summary>
    public class SimpleForbiddenCarrierTypeSequence
    {
        public readonly SimpleCarrierType FromCarrierType;
        public readonly SimpleCarrierType ToCarrierType;

        public SimpleForbiddenCarrierTypeSequence(SimpleCarrierType fromCarrierType, SimpleCarrierType toCarrierType)
        {
            FromCarrierType = fromCarrierType;
            ToCarrierType = toCarrierType;
        }
    }
}
